# mygrep

A reduced variation of the Unix-command `grep`.
It reads in several files and prints all lines containing a keyword.

    SYNOPSIS
    mygrep [-i] [-o outfile] keyword [file...]

The program `mygrep` reads files line by line and for each line checks whether it contains the search
term keyword. The line is printed if it contains the keyword, otherwise it is not printed.
The program accepts lines of any length.

If one or multiple input files are specified (given as positional arguments after keyword), then mygrep 
reads each of them in the order they are given. If no input file is specified, the program reads from
`stdin`.

If the option `-o` is given, the output is written to the specified file (outfile). Otherwise, the output is
written to `stdout`.

If the option `-i` is given, the program does not differentiate between lower and upper case letters, i.e.
the search for the keyword in a line is case insensitive.

**Note: The description is from the task I got from TU.**